Package org.firebirdsql.jdbc

## Class FBSavepoint

- java.lang.Object
- - org.firebirdsql.jdbc.FBSavepoint

- All Implemented Interfaces:
    `java.sql.Savepoint`, `FirebirdSavepoint`

      public final class FBSavepoint
      extends java.lang.Object
      implements FirebirdSavepoint

  Savepoint implementation.
  Author:
    Roman Rokytskyy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBSavepoint​(int savepointId)` | Create instance of this class.
    `FBSavepoint​(java.lang.String name)` | Create instance of this class for the specified name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Check if objects are equal.
    `int` | `getSavepointId()` |
    `java.lang.String` | `getSavepointName()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FBSavepoint

          public FBSavepoint​(int savepointId)

      Create instance of this class.
      Parameters:
        `savepointId` - ID of the savepoint.

    - #### FBSavepoint

          public FBSavepoint​(java.lang.String name)

      Create instance of this class for the specified name.
      Parameters:
        `name` - name of the savepoint.

  - ### Method Detail

    - #### getSavepointId

          public int getSavepointId()
                             throws java.sql.SQLException

      Specified by:
        `getSavepointId` in interface `java.sql.Savepoint`
      Throws:
        `java.sql.SQLException`

    - #### getSavepointName

          public java.lang.String getSavepointName()
                                            throws java.sql.SQLException

      Specified by:
        `getSavepointName` in interface `java.sql.Savepoint`
      Throws:
        `java.sql.SQLException`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Check if objects are equal. For unnamed savepoints their IDs are checked, otherwise their names.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - object to test.
      Returns:
        `true` if `obj` is equal to this object.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`